package com.gingersoft.gsa.cloud.table.mvp.ui.adapter;

import android.view.Gravity;
import android.widget.TextView;

import com.chad.library.adapter.base.BaseQuickAdapter;
import com.chad.library.adapter.base.BaseViewHolder;
import com.gingersoft.gsa.cloud.base.common.bean.OrderDetail;
import com.gingersoft.gsa.cloud.table.R;
import com.gingersoft.gsa.cloud.ui.bean.view.SectionTextItem3;

import java.util.List;

import androidx.annotation.Nullable;

public class OrderDetailPayMethodAdapter extends BaseQuickAdapter<SectionTextItem3, BaseViewHolder> {

    public OrderDetailPayMethodAdapter(@Nullable List<SectionTextItem3> data) {
        super(R.layout.item_order_detail_pay_method, data);
    }

    @Override
    protected void convert(BaseViewHolder helper, SectionTextItem3 item) {
        helper.setText(R.id.tv_name, String.valueOf(item.getLeftText()));
        helper.setText(R.id.tv_money, "$" + item.getRightText());
    }

}
